package edu.uclm.esi.mongo.isotel.auxiliares;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.GregorianCalendar;

public class Fechas {
	static SimpleDateFormat formatoSinHoraYMD=new SimpleDateFormat("yyyy-MM-dd");
	static SimpleDateFormat formatoSinHora=new SimpleDateFormat("dd/MM/yyyy");
	static SimpleDateFormat formatoConHora=new SimpleDateFormat("dd/MM/yyyy hh:mm:ss");
	
	public static String sinHora(GregorianCalendar fecha) {
		return formatoSinHora.format(fecha.getTimeInMillis());
	}
	
	public static String sinHoraYMD(GregorianCalendar fecha) {
		return formatoSinHoraYMD.format(fecha.getTimeInMillis());
	}
	
	public static String conHora(GregorianCalendar fecha) {
		return formatoConHora.format(fecha.getTimeInMillis());
	}
	
	public static GregorianCalendar getFecha(String ymd) throws ParseException {
		SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd");
		Date parsed = df.parse(ymd);
		System.out.println("parsed date: " + parsed);
		GregorianCalendar newCalendar = new GregorianCalendar();
		newCalendar.setTime(parsed);
		return newCalendar;
	}
}
