package edu.uclm.esi.mongo.isotel.persistencia;

import java.util.List;
import java.util.Vector;

import com.mongodb.MongoClient;
import com.mongodb.ServerAddress;
import com.mongodb.client.MongoDatabase;

public class MongoBroker {
	private static MongoBroker yo;
	private MongoDatabase db;
	
	private MongoBroker() {
		List<ServerAddress> servidores=new Vector<ServerAddress>();
		ServerAddress server1=new ServerAddress("192.168.1.130", 27017);
		ServerAddress server2=new ServerAddress("192.168.1.130", 37017);
		ServerAddress server3=new ServerAddress("192.168.1.130", 47017);
		servidores.add(server1); servidores.add(server2); servidores.add(server3);
		MongoClient mongoClient=new MongoClient(servidores);
		this.db = mongoClient.getDatabase("telefonosNoIncrustados");
	}
	
	public static MongoBroker get() {
		if (yo==null)
			yo=new MongoBroker();
		return yo;
	}
	
	public MongoDatabase getDB() {
		return db;
	}
}
