<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="edu.uclm.esi.mongo.isotel.dominio.*, edu.uclm.esi.mongo.isotel.auxiliares.*, 
		edu.uclm.esi.mongo.isotel.persistencia.*, java.util.*, org.json.simple.JSONObject, org.json.simple.JSONArray" %>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MongoTel - Empresa telefónica</title>
</head>
<body>
	<h1>MongoTel - Empresa telefónica - Consulta de facturas</h1>
	<a href="index.jsp"><i>Ir al principio</i></a><br>
		
	Seleccione mes:
	<select id="mes">
		<option value="1">Enero</option>
		<option value="2">Febrero</option>
		<option value="3">Marzo</option>
		<option value="4">Abril</option>
		<option value="5">Mayo</option>
		<option value="6">Junio</option>
		<option value="7">Julio</option>
		<option value="8">Agosto</option>
		<option value="9">Septiembre</option>
		<option value="10" selected="selected">Octubre</option>
		<option value="11">Noviembre</option>
		<option value="12">Diciembre</option>
	</select><br>
	Seleccione año:
	<select id="year">
		<option value="2014">2014</option>
		<option value="2015" selected="selected">2015</option>
		<option value="2016">2016</option>
	</select><br>
	
	<%
		String sMes=request.getParameter("mes");
		String sYear=request.getParameter("year");
		String sDesde=request.getParameter("desde");
		int desde=0;
		JSONArray facturas=new JSONArray();
		if (sMes!=null && sYear!=null) {
			try { desde=Integer.parseInt(sDesde); } catch (Exception e) {}
			if (desde<0) desde=0;
			facturas=DAOFactura.getFacturas(Integer.parseInt(sMes), Integer.parseInt(sYear), desde);
		}
	%>
	
		<table border="1">
		<tr>
			<th>_id</th><th>idCliente</th><th>Nombre y apellidos</th><th>DNI</th><th>Cuota fija</th><th>Estab. llamada</th><th>Consumo</th><th>Tarifa</th>
		</tr>
		<%
		for (int i=0; i<facturas.size(); i++) {
			JSONObject factura=(JSONObject) facturas.get(i);
			%>
			<tr>
				<td>
					<%= factura.get("_id") %>
				</td>
				<td><%= factura.get("idCliente") %></td>
				<td><%= factura.get("nombre") + " " + factura.get("apellido1") + " " + factura.get("apellido2") %></td>
				<td><%= factura.get("dni") %></td>
				<td><%= factura.get("cuotaFija") %></td>
				<td><%= factura.get("establecimientosDeLlamada") %></td>
				<td><%= factura.get("importePorConsumo") %></td>
				<td><%= factura.get("tipoDeTarifa") %></td>
			</tr>
			<%
		}
		%>
	</table>
	<a href="consultarFacturas.jsp?desde=<%=(desde-10) %>&mes=<%= sMes %>&year=<%=sYear%>">Anterior</a>
	    <a href="consultarFacturas.jsp?desde=<%=(desde+10) %>&mes=<%= sMes %>&year=<%=sYear%>">Siguiente</a>
</body>
</html>