<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="edu.uclm.esi.mongo.isotel.dominio.*, edu.uclm.esi.mongo.isotel.persistencia.DAOTarifa" %>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MongoTel - Empresa telefónica</title>
</head>
<body>
	<h1>MongoTel - Empresa telefónica - Facturación</h1>
	<a href="index.jsp"><i>Ir al principio</i></a><br>
		
	Seleccione mes:
	<select id="mes">
		<option value="1">Enero</option>
		<option value="2">Febrero</option>
		<option value="3">Marzo</option>
		<option value="4">Abril</option>
		<option value="5">Mayo</option>
		<option value="6">Junio</option>
		<option value="7">Julio</option>
		<option value="8">Agosto</option>
		<option value="9">Septiembre</option>
		<option value="10" selected="selected">Octubre</option>
		<option value="11">Noviembre</option>
		<option value="12">Diciembre</option>
	</select><br>
	Seleccione año:
	<select id="year">
		<option value="2014">2014</option>
		<option value="2015" selected="selected">2015</option>
		<option value="2016">2016</option>
	</select><br>
	<button type="button" onclick="facturar('numeroDeLlamadas')">Número de llamadas habidas</button>
	<button type="button" onclick="facturar('facturar')">Facturar</button>
	
	
	<br>
	<span id="resultados">
	</span>
	
	<script>
	function facturar(opcion) {
		var mes=document.getElementById("mes").value;
		var year=document.getElementById("year").value;
		var texto="Número de facturas generadas: ";
		if (opcion=="numeroDeLlamadas")
			texto="Número de llamadas habidas: ";
		var request=new XMLHttpRequest();
		request.open("POST", "facturar.jsp");
		request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		request.onreadystatechange=function() {
			if (request.readyState==4) {
				if (request.status==200) {
					var respuesta=request.responseText;
					respuesta=JSON.parse(respuesta);
					if (respuesta.resultado=="OK") {
						document.getElementById("resultados").innerHTML=texto + respuesta.numero;
						if (opcion=="facturar") {
							document.getElementById("resultados").innerHTML=document.getElementById("resultados").innerHTML + 
								"  <a href='consultarFacturas.jsp?mes=" + mes + "&year=" + year +
								"&desde=0'>Consultar facturas</a>";
						}
					} else {
						alert(respuesta.resultado);
					}
				} else {
					alert("Error: " + request.statusText);
				}
			}
		};
		var pars="opcion=" + opcion + "&mes=" + mes +
				"&year=" + year;
		request.send(pars);
	}
	</script>
</body>
</html>