<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="edu.uclm.esi.mongo.isotel.dominio.*, edu.uclm.esi.mongo.isotel.auxiliares.*, 
		edu.uclm.esi.mongo.isotel.persistencia.*, java.util.*" %>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MongoTel - Empresa telefónica</title>
</head>
<body>
	<h1>MongoTel - Empresa telefónica - Listado de clientes</h1>
	<a href="index.jsp"><i>Ir al principio</i></a>
		
	<%
		String sDesde=request.getParameter("desde");
		int desde=0;
		try { desde=Integer.parseInt(sDesde); } catch (Exception e) {}
		int n=10;
		Vector<Cliente> clientes=DAOCliente.getClientes(desde, n);
	%>
	
		<table border="1">
		<tr>
			<th>Id</th><th>Nombre</th><th>Apellido 1</th><th>Apellido 2</th><th>DNI</th><th>Teléfono</th><th>Fecha de nacimiento</th><th>Tarifa</th><th>Ver llamadas</th><th>Ver factura</th>
		</tr>
		<%
		for (Cliente cliente : clientes) {
			%>
			<tr>
				<td>
					<a href="fichaCliente.jsp?idCliente=<%= cliente.getId() %>">
						<%= cliente.getId() %>
					</a></td>
				<td><%= cliente.getNombre() %></td>
				<td><%= cliente.getApellido1() %></td>
				<td><%= cliente.getApellido2() %></td>
				<td><%= cliente.getDNI() %></td>
				<td><%= cliente.getTelefono() %></td>
				<td align="right"><%= Fechas.sinHora(cliente.getFechaDeNacimiento()) %></td>
				<td>
					<a href="detalleTarifa.jsp?tarifa=<%= cliente.getTarifa().getClass().getSimpleName() %>">
						<%= cliente.getTarifa().getClass().getSimpleName() %>
					</a>
				</td>
				<td><a href="verLlamadas.jsp?idCliente=<%= cliente.getId() %>">Ver llamadas</a></td>
				<td><a href="verFactura.jsp?idCliente=<%= cliente.getId() %>">Ver facturas</a></td>
			</tr>
			<%
		}
		%>
	</table>
	<a href="listarClientes.jsp?desde=<%=(desde-n) %>">Anterior</a>    <a href="listarClientes.jsp?desde=<%=(desde+n) %>">Siguiente</a>
</body>
</html>