<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="edu.uclm.esi.mongo.isotel.dominio.*, edu.uclm.esi.mongo.isotel.auxiliares.*, edu.uclm.esi.mongo.isotel.persistencia.*, java.util.*" %>
<%@ page errorPage="error.jsp" %>	
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MongoTel - Tu compañía telefónica</title>
</head>
<body>
	<h1>MongoTel - Empresa telefónica - Listado de llamadas</h1>
<%
	String sIdCliente=request.getParameter("idCliente");
	Integer idCliente;
	Cliente cliente;
	Vector<Llamada> llamadas;
	String sDesde=null, sHasta=null;
	if (sIdCliente!=null) {
		idCliente=Integer.parseInt(request.getParameter("idCliente"));
		cliente=new Cliente(idCliente);
		session.setAttribute("cliente", cliente);
		llamadas=cliente.getLlamadas();
	} else {
		cliente=(Cliente) session.getAttribute("cliente");
		sDesde=request.getParameter("desde");
		sHasta=request.getParameter("hasta");
		llamadas=cliente.getLlamadas(sDesde, sHasta);
	}
%>

	<h2>Listado de llamadas del cliente nº <%= cliente.getId()  %> (<%= cliente.getNombre() + " " + cliente.getApellido1() + " " + cliente.getApellido2() %>)</h2>
	<a href="index.jsp"><i>Ir al principio</i></a>
	
	<form action="verLlamadas.jsp" method="POST">
		Filtro por fecha: desde <input type="date" name="desde"> hasta <input type="date" name="hasta"> <button type="submit">Filtrar</button>
	</form>

	<%
	if (sDesde!=null && sHasta!=null) {
		out.print("Llamadas desde el " + sDesde + " hasta el " + sHasta);
	}
	%>

	<table border="1">
		<tr>
			<th></th><th>Origen</th><th>Destino</th><th>Fecha</th><th>Duración</th>
		</tr>
		<%
		int cont=1;
		for (Llamada llamada : llamadas){
			%>
			<tr>
				<td><%= cont++ %></td>
				<td><%= llamada.getOrigen() %></td>
				<td><%= llamada.getDestino() %></td>
				<td align="right"><%= Fechas.conHora(llamada.getFecha()) %></td>
				<td align="right"><%= llamada.getDuracion() %></td>
			</tr>
			<%
		}
		%>
	</table>
</body>
</html>