package edu.uclm.esi.mongo.isotel.dominio;

import org.bson.BsonDocument;
import org.bson.BsonDouble;
import org.bson.BsonString;
import org.bson.Document;


public abstract class Tarifa {
	protected double cuotaFija, establecimiento, importePorSegundo;	
	
	public Tarifa(double cuotaFija, double establecimiento, double importePorSegundo) {
		super();
		this.cuotaFija = cuotaFija;
		this.establecimiento = establecimiento;
		this.importePorSegundo = importePorSegundo;
	}
	
	public double getCuotaFija() {
		return cuotaFija;
	}
	public double getEstablecimiento() {
		return establecimiento;
	}
	public double getImportePorSegundo() {
		return importePorSegundo;
	}

	public void setCuotaFija(double cuotaFija) {
		this.cuotaFija = cuotaFija;
	}
	
	public void setEstablecimiento(double establecimiento) {
		this.establecimiento = establecimiento;
	}
	
	public void setImportePorSegundo(double importePorSegundo) {
		this.importePorSegundo = importePorSegundo;
	}
}
